Subject: 23.2; inhibit-startup-screen does not work in site-start.el

From: Stefan Vollmar <[email-masked]>
Date: Thu, 20 May 2010 20:07:29 +0200

From: [email-masked]
To: [email-masked]
Subject: 23.2; inhibit-startup-screen does not work in site-start.el
--text follows this line--
This bug report will be sent to the Free Software Foundation,
not to your local site managers!
Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug.  If you can, give
a recipe starting from `emacs -Q':

I believe, I might be observing a deliberate behaviour of Emacs 23.2 rather than a bug. We have a specific setting where we want to create a ready-to-run distribution of Emacs. We have succeeded in putting all required customizations in site-start.el und are very happy with this - except that it would be helpful if inhibit-startup-screen also worked if set to t in site-start.el, it appears that this only works in a user-specific .emacs file.

We tried to use initial-buffer-choice but this has an unwanted side effet: the splashscreen no longer appears, however, dropping a file on the Emacs icon no longer opens that file.

Without "initial-buffer-choice" drag & drop works as expected - but yields a split screen with the splash screen in the lower part (and a full splash screen if the Emacs icon is just clicked).

So it seems that there is no easy way to configure Emacs 23.2 to not display the splash screen (split or full screen), apart from using a "--no-splash" start option or a user specific .emacs file where inhibit-startup-screen does work (if one still wants to have drag & drop support for the Emacs icon). 

I think that it would be a good thing if inhibit-startup-screen also worked in a site-start.el-file. -

You have done a great job with Emacs and I am really surprised how well it works on MS Windows (naturally, it runs extremely well on Unix platforms). I am sorry that the type of problem described above is fairly typical for users who often start Emacs and immediately close the application when a small editing job is done. This is not how I use Emacs - still, it is a compromise to also support this type of usage and user (a bit like supplying binaries for Windows).

Thank you!

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
c:/data/stefan/emacs-23.2/etc/DEBUG.

In GNU Emacs 23.2.1 (i386-mingw-nt6.0.6002)
 of 2010-05-08 on G41R2F1
Windowing system distributor `Microsoft Corp.', version 6.0.6002
configured using `configure --with-gcc (3.4) --no-opt --cflags -Ic:/xpm/include'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: DEU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  recentf-mode: t
  cua-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<drag-n-drop> <drag-n-drop> C-x 1 <drag-n-drop> <mouse-1> 
<mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1> 
<mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1> 
<mouse-1> <mouse-1> <down-mouse-1> <mouse-movement> 
<mouse-movement> <drag-mouse-1> C-c <timeout> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <menu-bar> 
<help-menu> <send-emacs-bug-report>

Recent messages:
Error setting version-control: (void-variable never)
Loading c:/Users/stefan/AppData/Roaming/.recentf...done
Cleaning up the recentf list...
File c:/Users/stefan/AppData/Roaming/untitled removed from the recentf list
Cleaning up the recentf list...done (1 removed)
untitled has auto save data; consider M-x recover-this-file
OVERVIEW
For information about GNU Emacs and the GNU system, type C-h C-a.
C:/data/stefan/emacs-23.2/site-lisp/site-start.el and c:/data/stefan/emacs-23.2/site-lisp/site-start.el are the same file [2 times]

Load-path shadows:
None found.

Features:
(shadow sort mail-extr message ecomplete rfc822 mml mml-sec
password-cache mm-decode mm-bodies mm-encode mailcap mail-parse rfc2231
rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader gnus-util netrc
gmm-utils mailheader canlock sha1 hex-util hashcash mail-utils emacsbug
browse-url url-util url-parse url-vars mm-util mail-prsvr pc-select
org-indent org-wl org-w3m org-vm org-rmail org-mhe org-mew org-irc
org-jsinfo org-infojs org-html org-exp org-exp-blocks org-agenda
org-info org-gnus org-docview org-bibtex org-bbdb org-protocol org-id
org byte-opt bytecomp byte-compile advice help-fns advice-preload
org-footnote org-src org-list org-faces org-compat org-entities org-macs
time-date noutline outline easy-mmode regexp-opt cal-menu calendar
cal-loaddefs org-install recentf tree-widget wid-edit easymenu cua-base
edmacro kmacro tooltip ediff-hook vc-hooks lisp-float-type mwheel
dos-w32 disp-table ls-lisp w32-win w32-vars tool-bar dnd fontset image
fringe lisp-mode register page menu-bar rfn-eshadow timer select
scroll-bar mldrag mouse jit-lock font-lock syntax facemenu font-core
frame cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook help
simple abbrev loaddefs button minibuffer faces cus-face files
text-properties overlay md5 base64 format env code-pages mule custom
widget hashtable-print-readable backquote make-network-process multi-tty
emacs)